package com.malk.kabeiyi.service.impl;

import com.malk.core.McProject;

import com.malk.kabeiyi.service.McProjectService;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.server.dingtalk.DDR_New;
import com.malk.service.aliwork.YDClient;
import com.malk.utils.UtilMap;
import lombok.extern.slf4j.Slf4j;
import org.slf4j.MDC;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Slf4j
@Service
public class McProjectServiceImpl implements McProjectService {

    @Autowired
    private YDClient ydClient;

    @Override
    public void init() {
        MDC.put("MDC_KEY_PID","1002");
        McProject.addYida("1002",new String[] {"APP_YNE2466O27IZFF9VVLQ1","T6666H71IOAMFEZR9I4O08U8TWJL2VAACWWXLJ4"});//卡倍亿一期
        McProject.addYida("1003",new String[] {"APP_CRSI2VXGJE74J60OEFPD","C1A66XB1JOAMVXWCE3H28B05EU7T2F3AM4XXLN3"});//特充
        McProject.addYida("1009",new String[] {"APP_S5U4NUUK2T4RF8UR17EN","JL666BD1QGXNTZQ5DXEI97Q1USK92I1G6160MTCF"});//卡倍亿二期-分层审核
        McProject.addYida("1019",new String[] {"APP_UT77LJBEO7ZH3N5MX1TJ","ND966TC1C69P0KL9EE47C6WBVCBH29IMLRZ1M6E"});//卡倍亿二期-产量分析
        McProject.addYida("1020",new String[] {"APP_TROTJSBUI5IMEJYKXJU1","VF666N91369PUM829XYCL8LD9A433TH9GSZ1M8A"});//卡倍亿二期-OCR识别
        log.info("项目加载完毕：1002,1003,1009,1019,1020");
    }
}
